diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/model/ptr.h ns-3.35/src/core/model/ptr.h
--- ns-3.34/src/core/model/ptr.h	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/model/ptr.h	2021-10-01 13:26:47.000000000 -0700
@@ -226,7 +226,7 @@
  */
 template <typename T,
           typename... Ts>
-Ptr<T> Create (Ts... args);
+Ptr<T> Create (Ts&&... args);
 
 /** @}*/
 
@@ -317,7 +317,11 @@
 template <typename T>
 bool operator < (const Ptr<T> &lhs, const Ptr<T> &rhs);
 template <typename T>
-bool operator <= (const Ptr<T> &lhs, const Ptr<T> &rhs);
+bool operator< (const Ptr<T> &lhs, const Ptr<const T> &rhs);
+template <typename T>
+bool operator< (const Ptr<const T> &lhs, const Ptr<T> &rhs);
+template <typename T>
+bool operator<= (const Ptr<T> &lhs, const Ptr<T> &rhs);
 template <typename T>
 bool operator > (const Ptr<T> &lhs, const Ptr<T> &rhs);
 template <typename T>
@@ -402,9 +406,9 @@
  ************************************************/
 
 template <typename T, typename... Ts>
-Ptr<T> Create (Ts... args)
+Ptr<T> Create (Ts&&... args)
 {
-  return Ptr<T> (new T (args...), false);
+  return Ptr<T> (new T (std::forward<Ts> (args)...), false);
 }
 
 template <typename U>
@@ -476,7 +480,22 @@
 }
 
 template <typename T>
-bool operator <= (const Ptr<T> &lhs, const Ptr<T> &rhs)
+bool
+operator< (const Ptr<T> &lhs, const Ptr<const T> &rhs)
+{
+  return PeekPointer<T> (lhs) < PeekPointer<const T> (rhs);
+}
+
+template <typename T>
+bool
+operator< (const Ptr<const T> &lhs, const Ptr<T> &rhs)
+{
+  return PeekPointer<const T> (lhs) < PeekPointer<T> (rhs);
+}
+
+template <typename T>
+bool
+operator<= (const Ptr<T> &lhs, const Ptr<T> &rhs)
 {
   return PeekPointer<T> (lhs) <= PeekPointer<T> (rhs);
 }
@@ -676,4 +695,39 @@
 
 } // namespace ns3
 
+
+/****************************************************
+ *      Global Functions (outside namespace ns3)
+ ***************************************************/
+
+/**
+ * \ingroup ptr
+ * Hashing functor taking a `Ptr` and returning a @c std::size_t.
+ * For use with `unordered_map` and `unordered_set`.
+ *
+ * \note When a `Ptr` is used in a container the lifetime of the underlying
+ * object is at least as long as the container.  In other words,
+ * you need to remove the object from the container when you are done with
+ * it, otherwise the object will persist until the container itself is
+ * deleted.
+ *
+ * \tparam T \deduced The type held by the `Ptr`
+ */
+template<class T>
+struct
+std::hash<ns3::Ptr<T>>
+{
+  /**
+   * The functor.
+   * \param p The `Ptr` value to hash.
+   * \return the hash
+   */
+  std::size_t
+  operator () (ns3::Ptr<T> p) const
+  {
+    return std::hash<const T *> () (ns3::PeekPointer (p));
+  }
+};
+
+
 #endif /* PTR_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/model/random-variable-stream.cc ns-3.35/src/core/model/random-variable-stream.cc
--- ns-3.34/src/core/model/random-variable-stream.cc	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/model/random-variable-stream.cc	2021-10-01 13:26:47.000000000 -0700
@@ -455,12 +455,6 @@
     .SetParent<RandomVariableStream>()
     .SetGroupName ("Core")
     .AddConstructor<ParetoRandomVariable> ()
-    .AddAttribute ("Mean", "The mean parameter for the Pareto distribution returned by this RNG stream.",
-                   DoubleValue (0.0),
-                   MakeDoubleAccessor (&ParetoRandomVariable::m_mean),
-                   MakeDoubleChecker<double>(),
-                   TypeId::DEPRECATED,
-                   "Not anymore used. Use 'Scale' instead - changing this attribute has no effect.")
     .AddAttribute ("Scale", "The scale parameter for the Pareto distribution returned by this RNG stream.",
                    DoubleValue (1.0),
                    MakeDoubleAccessor (&ParetoRandomVariable::m_scale),
@@ -481,7 +475,6 @@
   // m_shape, m_shape, and m_bound are initialized after constructor
   // by attributes
   NS_LOG_FUNCTION (this);
-  NS_UNUSED (m_mean);
 }
 
 double
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/model/random-variable-stream.h ns-3.35/src/core/model/random-variable-stream.h
--- ns-3.34/src/core/model/random-variable-stream.h	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/model/random-variable-stream.h	2021-10-01 13:26:47.000000000 -0700
@@ -786,9 +786,6 @@
   virtual uint32_t GetInteger (void);
 
 private:
-  /** The mean parameter for the Pareto distribution returned by this RNG stream. */
-  double m_mean;
-
   /** The scale parameter for the Pareto distribution returned by this RNG stream. */
   double m_scale;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/model/timer.h ns-3.35/src/core/model/timer.h
--- ns-3.34/src/core/model/timer.h	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/model/timer.h	2021-10-01 13:26:47.000000000 -0700
@@ -106,9 +106,9 @@
   /** The possible states of the Timer. */
   enum State
   {
-    RUNNING,    /** Timer is currently running. */
-    EXPIRED,    /** Timer has already expired. */
-    SUSPENDED,  /** Timer is suspended. */
+    RUNNING,    /**< Timer is currently running. */
+    EXPIRED,    /**< Timer has already expired. */
+    SUSPENDED,  /**< Timer is suspended. */
   };
   /**
    * Create a timer with a default event lifetime management policy:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/model/traced-callback.h ns-3.35/src/core/model/traced-callback.h
--- ns-3.34/src/core/model/traced-callback.h	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/model/traced-callback.h	2021-10-01 13:26:47.000000000 -0700
@@ -89,6 +89,11 @@
    * \param [in] args The arguments to the functor
    */
   void operator() (Ts... args) const;
+  /**
+   * \brief Checks if the Callbacks list is empty.
+   * \return true if the Callbacks list is empty.
+   */
+  bool IsEmpty () const;
 
   /**
    *  TracedCallback signature for POD.
@@ -188,6 +193,13 @@
     }
 }
 
+template <typename... Ts>
+bool
+TracedCallback<Ts...>::IsEmpty () const
+{
+  return m_callbackList.empty ();
+}
+
 } // namespace ns3
 
 #endif /* TRACED_CALLBACK_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/model/vector.cc ns-3.35/src/core/model/vector.cc
--- ns-3.34/src/core/model/vector.cc	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/model/vector.cc	2021-10-01 13:26:47.000000000 -0700
@@ -89,6 +89,19 @@
 }
 
 double
+Vector3D::GetLengthSquared () const
+{
+  NS_LOG_FUNCTION (this);
+  return x * x + y * y + z * z;
+}
+double
+Vector2D::GetLengthSquared () const
+{
+  NS_LOG_FUNCTION (this);
+  return x * x + y * y;
+}
+
+double
 CalculateDistance (const Vector3D &a, const Vector3D &b)
 {
   NS_LOG_FUNCTION (a << b);
@@ -101,6 +114,19 @@
   return (b - a).GetLength ();
 }
 
+double
+CalculateDistanceSquared (const Vector3D &a, const Vector3D &b)
+{
+  NS_LOG_FUNCTION (a << b);
+  return (b - a).GetLengthSquared ();
+}
+double
+CalculateDistanceSquared (const Vector2D &a, const Vector2D &b)
+{
+  NS_LOG_FUNCTION (a << b);
+  return (b - a).GetLengthSquared ();
+}
+
 std::ostream &operator << (std::ostream &os, const Vector3D &vector)
 {
   os << vector.x << ":" << vector.y << ":" << vector.z;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/model/vector.h ns-3.35/src/core/model/vector.h
--- ns-3.34/src/core/model/vector.h	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/model/vector.h	2021-10-01 13:26:47.000000000 -0700
@@ -67,6 +67,12 @@
   double GetLength () const;
 
   /**
+   * Compute the squared length of the vector.
+   * \returns the vector length squared.
+   */
+  double GetLengthSquared () const;
+
+  /**
    * \brief Calculate the Cartesian distance between two points.
    * \param [in] a One point
    * \param [in] b Another point
@@ -75,6 +81,14 @@
   friend double CalculateDistance (const Vector3D &a, const Vector3D &b);
 
   /**
+   * \brief Calculate the squared Cartesian distance between two points.
+   * \param [in] a One point
+   * \param [in] b Another point
+   * \returns The distance between \pname{a} and \pname{b}.
+   */
+  friend double CalculateDistanceSquared (const Vector3D &a, const Vector3D &b);
+
+  /**
    * Output streamer.
    * Vectors are written as "x:y:z".
    *
@@ -184,6 +198,9 @@
   /** \copydoc Vector3D::GetLength() */
   double GetLength () const;
 
+  /** \copydoc Vector3D::GetLengthSquared() */
+  double GetLengthSquared () const;
+
   /**
    * \brief Calculate the Cartesian distance between two points.
    * \param [in] a One point
@@ -193,6 +210,14 @@
   friend double CalculateDistance (const Vector2D &a, const Vector2D &b);
 
   /**
+   * \brief Calculate the squared Cartesian distance between two points.
+   * \param [in] a One point
+   * \param [in] b Another point
+   * \returns The distance between \pname{a} and \pname{b}.
+   */
+  friend double CalculateDistanceSquared (const Vector2D &a, const Vector2D &b);
+
+  /**
    * Output streamer.
    * Vectors are written as "x:y".
    *
@@ -280,6 +305,8 @@
 
 double CalculateDistance (const Vector3D &a, const Vector3D &b);
 double CalculateDistance (const Vector2D &a, const Vector2D &b);
+double CalculateDistanceSquared (const Vector3D &a, const Vector3D &b);
+double CalculateDistanceSquared (const Vector2D &a, const Vector2D &b);
 std::ostream &operator << (std::ostream &os, const Vector3D &vector);
 std::ostream &operator << (std::ostream &os, const Vector2D &vector);
 std::istream &operator >> (std::istream &is, Vector3D &vector);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/core/wscript ns-3.35/src/core/wscript
--- ns-3.34/src/core/wscript	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/core/wscript	2021-10-01 13:26:47.000000000 -0700
@@ -48,7 +48,7 @@
                     dest='check_version')
 
     opt.add_option('--enable-build-version',
-                    help=("Check git repository for changes and update build version"
+                    help=("Check git repository for changes and update build version "
                           "during waf build"),
                     action="store_true", default=False,
                     dest='enable_build_version')
@@ -57,7 +57,7 @@
 
     conf.load('versioning', ['waf-tools'])
 
-    conf.require_boost_incs('core', 'ns-3 core module', required=False);
+    conf.require_boost_incs('core', 'ns-3 core module', required=False)
 
     int64x64_impl = Options.options.int64x64_impl
     if int64x64_impl == 'default' or int64x64_impl == 'int128':
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/csma/bindings/modulegen__gcc_ILP32.py ns-3.35/src/csma/bindings/modulegen__gcc_ILP32.py
--- ns-3.34/src/csma/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/csma/bindings/modulegen__gcc_ILP32.py	2021-10-01 13:26:47.000000000 -0700
@@ -1726,11 +1726,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -1835,11 +1830,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -1956,11 +1946,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2153,11 +2138,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/csma/bindings/modulegen__gcc_LP64.py ns-3.35/src/csma/bindings/modulegen__gcc_LP64.py
--- ns-3.34/src/csma/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/csma/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:47.000000000 -0700
@@ -1726,11 +1726,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -1835,11 +1830,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -1956,11 +1946,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2153,11 +2138,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.34/src/csma-layout/bindings/modulegen__gcc_ILP32.py ns-3.35/src/csma-layout/bindings/modulegen__gcc_ILP32.py
--- ns-3.34/src/csma-layout/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:06.000000000 -0700
+++ ns-3.35/src/csma-layout/bindings/modulegen__gcc_ILP32.py	2021-10-01 13:26:47.000000000 -0700
@@ -1957,11 +1957,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsEqual(ns3::Ipv4Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2059,6 +2054,11 @@
     cls.add_constructor([param('ns3::Ipv4Address', 'local'), param('ns3::Ipv4Mask', 'mask')])
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress::Ipv4InterfaceAddress(ns3::Ipv4InterfaceAddress const & o) [constructor]
     cls.add_constructor([param('ns3::Ipv4InterfaceAddress const &', 'o')])
+    ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4Address ns3::Ipv4InterfaceAddress::GetAddress() const [member function]
+    cls.add_method('GetAddress', 
+                   'ns3::Ipv4Address', 
+                   [], 
+                   is_const=True)
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4Address ns3::Ipv4InterfaceAddress::GetBroadcast() const [member function]
     cls.add_method('GetBroadcast', 
                    'ns3::Ipv4Address', 
@@ -2079,11 +2079,20 @@
                    'ns3::Ipv4InterfaceAddress::InterfaceAddressScope_e', 
                    [], 
                    is_const=True)
+    ## ipv4-interface-address.h (module 'internet'): bool ns3::Ipv4InterfaceAddress::IsInSameSubnet(ns3::Ipv4Address const b) const [member function]
+    cls.add_method('IsInSameSubnet', 
+                   'bool', 
+                   [param('ns3::Ipv4Address const', 'b')], 
+                   is_const=True)
     ## ipv4-interface-address.h (module 'internet'): bool ns3::Ipv4InterfaceAddress::IsSecondary() const [member function]
     cls.add_method('IsSecondary', 
                    'bool', 
                    [], 
                    is_const=True)
+    ## ipv4-interface-address.h (module 'internet'): void ns3::Ipv4InterfaceAddress::SetAddress(ns3::Ipv4Address address) [member function]
+    cls.add_method('SetAddress', 
+                   'void', 
+                   [param('ns3::Ipv4Address', 'address')])
     ## ipv4-interface-address.h (module 'internet'): void ns3::Ipv4InterfaceAddress::SetBroadcast(ns3::Ipv4Address broadcast) [member function]
     cls.add_method('SetBroadcast', 
                    'void', 
@@ -2204,11 +2213,6 @@
                    'ns3::Ipv4Mask', 
                    [], 
                    is_static=True)
-    ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsEqual(ns3::Ipv4Mask other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv4Mask', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv4-address.h (module 'network'): bool ns3::Ipv4Mask::IsMatch(ns3::Ipv4Address a, ns3::Ipv4Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -2325,11 +2329,6 @@
                    'bool', 
                    [], 
                    is_const=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsEqual(ns3::Ipv6Address const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Address const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Address::IsInitialized() const [member function]
     cls.add_method('IsInitialized', 
                    'bool', 
@@ -2772,11 +2771,6 @@
                    'ns3::Ipv6Prefix', 
                    [], 
                    is_static=True)
-    ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsEqual(ns3::Ipv6Prefix const & other) const [member function]
-    cls.add_method('IsEqual', 
-                   'bool', 
-                   [param('ns3::Ipv6Prefix const &', 'other')], 
-                   deprecated=True, is_const=True)
     ## ipv6-address.h (module 'network'): bool ns3::Ipv6Prefix::IsMatch(ns3::Ipv6Address a, ns3::Ipv6Address b) const [member function]
     cls.add_method('IsMatch', 
                    'bool', 
@@ -4734,11 +4728,16 @@
                    'std::string', 
                    [param('ns3::Ipv6Header::EcnType', 'ecn')], 
                    is_const=True)
+    ## ipv6-header.h (module 'internet'): ns3::Ipv6Address ns3::Ipv6Header::GetDestination() const [member function]
+    cls.add_method('GetDestination', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-header.h (module 'internet'): ns3::Ipv6Address ns3::Ipv6Header::GetDestinationAddress() const [member function]
     cls.add_method('GetDestinationAddress', 
                    'ns3::Ipv6Address', 
                    [], 
-                   is_const=True)
+                   deprecated=True, is_const=True)
     ## ipv6-header.h (module 'internet'): ns3::Ipv6Header::DscpType ns3::Ipv6Header::GetDscp() const [member function]
     cls.add_method('GetDscp', 
                    'ns3::Ipv6Header::DscpType', 
@@ -4779,11 +4778,16 @@
                    'uint32_t', 
                    [], 
                    is_const=True, is_virtual=True)
+    ## ipv6-header.h (module 'internet'): ns3::Ipv6Address ns3::Ipv6Header::GetSource() const [member function]
+    cls.add_method('GetSource', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-header.h (module 'internet'): ns3::Ipv6Address ns3::Ipv6Header::GetSourceAddress() const [member function]
     cls.add_method('GetSourceAddress', 
                    'ns3::Ipv6Address', 
                    [], 
-                   is_const=True)
+                   deprecated=True, is_const=True)
     ## ipv6-header.h (module 'internet'): uint8_t ns3::Ipv6Header::GetTrafficClass() const [member function]
     cls.add_method('GetTrafficClass', 
                    'uint8_t', 
@@ -4804,10 +4808,15 @@
                    'void', 
                    [param('ns3::Buffer::Iterator', 'start')], 
                    is_const=True, is_virtual=True)
+    ## ipv6-header.h (module 'internet'): void ns3::Ipv6Header::SetDestination(ns3::Ipv6Address dst) [member function]
+    cls.add_method('SetDestination', 
+                   'void', 
+                   [param('ns3::Ipv6Address', 'dst')])
     ## ipv6-header.h (module 'internet'): void ns3::Ipv6Header::SetDestinationAddress(ns3::Ipv6Address dst) [member function]
     cls.add_method('SetDestinationAddress', 
                    'void', 
-                   [param('ns3::Ipv6Address', 'dst')])
+                   [param('ns3::Ipv6Address', 'dst')], 
+                   deprecated=True)
     ## ipv6-header.h (module 'internet'): void ns3::Ipv6Header::SetDscp(ns3::Ipv6Header::DscpType dscp) [member function]
     cls.add_method('SetDscp', 
                    'void', 
@@ -4832,10 +4841,15 @@
     cls.add_method('SetPayloadLength', 
                    'void', 
                    [param('uint16_t', 'len')])
+    ## ipv6-header.h (module 'internet'): void ns3::Ipv6Header::SetSource(ns3::Ipv6Address src) [member function]
+    cls.add_method('SetSource', 
+                   'void', 
+                   [param('ns3::Ipv6Address', 'src')])
     ## ipv6-header.h (module 'internet'): void ns3::Ipv6Header::SetSourceAddress(ns3::Ipv6Address src) [member function]
     cls.add_method('SetSourceAddress', 
                    'void', 
-                   [param('ns3::Ipv6Address', 'src')])
+                   [param('ns3::Ipv6Address', 'src')], 
+                   deprecated=True)
     ## ipv6-header.h (module 'internet'): void ns3::Ipv6Header::SetTrafficClass(uint8_t traffic) [member function]
     cls.add_method('SetTrafficClass', 
                    'void', 
